--- old/usr/src/uts/common/io/ib/clients/of/sol_ucma/sol_ucma.c	sam. juil. 16 15:16:26 2016
+++ new/usr/src/uts/common/io/ib/clients/of/sol_ucma/sol_ucma.c	sam. juil. 16 15:16:26 2016
@@ -122,8 +122,7 @@
 /* Module Linkage */
 static struct modlinkage sol_ucma_modlinkage = {
 	MODREV_1,
-	&sol_ucma_modldrv,
-	NULL,
+	{ &sol_ucma_modldrv, NULL }
 };
 
 static char	*sol_ucma_dbg_str = "sol_ucma";
@@ -638,60 +637,60 @@
 } sol_ucma_cmd_table_t;
 
 static  sol_ucma_cmd_table_t	sol_ucma_cmd_table[] = {
-	[RDMA_USER_CM_CMD_CREATE_ID]	= sol_ucma_create_id,
+	[RDMA_USER_CM_CMD_CREATE_ID]	= { sol_ucma_create_id,
 	    sizeof (sol_ucma_create_id_t),
-	    sizeof (sol_ucma_create_id_resp_t),
-	[RDMA_USER_CM_CMD_DESTROY_ID]	= sol_ucma_destroy_id,
+	    sizeof (sol_ucma_create_id_resp_t) },
+	[RDMA_USER_CM_CMD_DESTROY_ID]	= { sol_ucma_destroy_id,
 	    sizeof (sol_ucma_destroy_id_t),
-	    sizeof (sol_ucma_destroy_id_resp_t),
-	[RDMA_USER_CM_CMD_BIND_ADDR]	= sol_ucma_bind_addr,
+	    sizeof (sol_ucma_destroy_id_resp_t) },
+	[RDMA_USER_CM_CMD_BIND_ADDR]	= { sol_ucma_bind_addr,
 	    sizeof (sol_ucma_bind_addr_t),
-	    0,
-	[RDMA_USER_CM_CMD_RESOLVE_ADDR]	= sol_ucma_resolve_addr,
+	    0 },
+	[RDMA_USER_CM_CMD_RESOLVE_ADDR]	= { sol_ucma_resolve_addr,
 	    sizeof (sol_ucma_resolve_addr_t),
-	    0,
-	[RDMA_USER_CM_CMD_RESOLVE_ROUTE] = sol_ucma_resolve_route,
+	    0 },
+	[RDMA_USER_CM_CMD_RESOLVE_ROUTE] = { sol_ucma_resolve_route,
 	    sizeof (sol_ucma_resolve_route_t),
-	    0,
-	[RDMA_USER_CM_CMD_QUERY_ROUTE]	= sol_ucma_query_route,
+	    0 },
+	[RDMA_USER_CM_CMD_QUERY_ROUTE]	= { sol_ucma_query_route,
 	    sizeof (sol_ucma_query_route_t),
-	    sizeof (sol_ucma_query_route_resp_t),
-	[RDMA_USER_CM_CMD_CONNECT]	= sol_ucma_connect,
+	    sizeof (sol_ucma_query_route_resp_t) },
+	[RDMA_USER_CM_CMD_CONNECT]	= { sol_ucma_connect,
 	    sizeof (sol_ucma_connect_t),
-	    0,
-	[RDMA_USER_CM_CMD_LISTEN]	= sol_ucma_listen,
+	    0 },
+	[RDMA_USER_CM_CMD_LISTEN]	= { sol_ucma_listen,
 	    sizeof (sol_ucma_listen_t),
-	    0,
-	[RDMA_USER_CM_CMD_ACCEPT]	= sol_ucma_accept,
+	    0 },
+	[RDMA_USER_CM_CMD_ACCEPT]	= { sol_ucma_accept,
 	    sizeof (sol_ucma_accept_t),
-	    0,
-	[RDMA_USER_CM_CMD_REJECT]	= sol_ucma_reject,
+	    0 },
+	[RDMA_USER_CM_CMD_REJECT]	= { sol_ucma_reject,
 	    sizeof (sol_ucma_reject_t),
-	    0,
-	[RDMA_USER_CM_CMD_DISCONNECT]	= sol_ucma_disconnect,
+	    0 },
+	[RDMA_USER_CM_CMD_DISCONNECT]	= { sol_ucma_disconnect,
 	    sizeof (sol_ucma_disconnect_t),
-	    0,
-	[RDMA_USER_CM_CMD_INIT_QP_ATTR]	= sol_ucma_init_qp_attr,
+	    0 },
+	[RDMA_USER_CM_CMD_INIT_QP_ATTR]	= { sol_ucma_init_qp_attr,
 	    sizeof (sol_ucma_init_qp_attr_t),
-	    sizeof (struct ib_uverbs_qp_attr),
-	[RDMA_USER_CM_CMD_GET_EVENT]	= sol_ucma_get_event,
+	    sizeof (struct ib_uverbs_qp_attr) },
+	[RDMA_USER_CM_CMD_GET_EVENT]	= { sol_ucma_get_event,
 	    sizeof (sol_ucma_get_event_t),
-	    sizeof (sol_ucma_event_resp_t),
-	[RDMA_USER_CM_CMD_GET_OPTION]	= NULL,
+	    sizeof (sol_ucma_event_resp_t) },
+	[RDMA_USER_CM_CMD_GET_OPTION]	= { NULL,
 	    0,
-	    0,
-	[RDMA_USER_CM_CMD_SET_OPTION]	= sol_ucma_set_option,
+	    0 },
+	[RDMA_USER_CM_CMD_SET_OPTION]	= { sol_ucma_set_option,
 	    sizeof (sol_ucma_set_option_t),
-	    0,
-	[RDMA_USER_CM_CMD_NOTIFY]	= sol_ucma_notify,
+	    0 },
+	[RDMA_USER_CM_CMD_NOTIFY]	= { sol_ucma_notify,
 	    sizeof (sol_ucma_notify_t),
-	    0,
-	[RDMA_USER_CM_CMD_JOIN_MCAST]	= sol_ucma_join_mcast,
+	    0 },
+	[RDMA_USER_CM_CMD_JOIN_MCAST]	= { sol_ucma_join_mcast,
 	    sizeof (sol_ucma_join_mcast_t),
-	    sizeof (sol_ucma_create_id_resp_t),
-	[RDMA_USER_CM_CMD_LEAVE_MCAST]	= sol_ucma_leave_mcast,
+	    sizeof (sol_ucma_create_id_resp_t) },
+	[RDMA_USER_CM_CMD_LEAVE_MCAST]	= { sol_ucma_leave_mcast,
 	    sizeof (sol_ucma_destroy_id_t),
-	    sizeof (sol_ucma_destroy_id_resp_t)
+	    sizeof (sol_ucma_destroy_id_resp_t) }
 };
 
 #define	SOL_UCMA_MAX_CMD_DATA    512
